IARRAY_COPY_NAMED_ELEMENT(3)

FUNCTION
iarray_copy_named_element - Copy a named element from one Intelligent Array to another.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_copy_named_element

(iarray out, iarray in, CONST char *name, flag fail_if_not_found, flag fail_on_duplicate, flag replace)

DESCRIPTION
Copy a named element from one Intelligent Array to another.

out The output Intelligent Array.

in  The input Intelligent Array.

name
    The name of the element to copy.

fail_if_not_found
    If TRUE, the routine will fail if the element does not exist in the input packet.

fail_on_duplicate
    If TRUE, the routine will fail if the element already exists in the output packet.

replace
    If TRUE and the element already exists in the output packet, it is replaced.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/